# BEGIN SourceDeps(oneline):
BuildRequires: perl(Config.pm) perl(Data/Flow.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Symbol.pm) perl(dumpvar.pl)
# END SourceDeps(oneline)
%define module_version 0.74
%define module_name C-Scan
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.74
Release: alt1
Summary: scan C language files for easily recognized constructs.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/H/HV/HVDS/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This description is *VERY* incomplete.

This module uses `Data::Flow' interface, thus one uses it in the
following fashion:

  $c = new C::Scan(attr1 => $value1, attr2 => $value2);
  $c->set( attr3 => $value3 );

  $value4 = $c->get('attr4');

Attributes are depending on some other attributes. The only
*required* attribute, i.e., the attribute which *should* be set, is
`filename', which denotes which file to parse.

All other attributes are either optional, or would be calculated basing on values of required and optional attributes.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/C*

%changelog
* Mon Oct 14 2013 Igor Vlasenko <viy@altlinux.ru> 0.74-alt1
- initial import by package builder

